import { http } from '@/service/request.js'
import { getBase64 } from '@/utils/crypto'
//模拟PC端的账号密码登录先调试，仅前期调试使用，该接口后期会弃用
export const pcLogin = () =>
  http.post(
    '/api/admin/common/login',
    { loginName: 'zhangjie', password: getBase64('123456'), type: 'ACCOUNT' },
    {
      custom: { noAuth: true }
    }
  )

/**
 * 微信小程序模拟登录
 */
export const wxMiniAppLogin = (params) => http.post(`/user/wxMiniAppLogin`, params)
